(use test)
(use string-utils)

(test-group "Memoized"
  (test "a" (make-string* 1 #\a))
  (define a5 (make-string* 5 #\a))
  (test "aaaaa" a5)
  (define spc5 (make-string* 5))
  (test "     " spc5)
  (test-assert (eq? a5 (make-string* 5 #\a)))
  (test-assert (eq? spc5 (make-string* 5 #\space)))
)

(test "616263" (string->hex "12abc34" 2 5))

(test-group "Unicode"
  (test-assert (ascii-codepoint? #\a))
  (test "cebb" (string->hex (unicode-char->string #\U03BB)))
  (test "cebbcebbcebb" (string->hex (unicode-string #\U03BB #\U03BB #\U03BB)))
  (test "cebbcebb" (string->hex (unicode-make-string 2 #\U03BB)))
)
